org.eclipse.microprofile.reactive.messaging.tck.scope

## Class DependantBeans

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.scope.DependantBeans

    @Dependent
    public class DependantBeans
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DependantBeans()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Integer>` `getList()`
`int` `process(int i)`
`void` `sink(int v)`
`org.reactivestreams.Publisher<Integer>` `source()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DependantBeans

    public DependantBeans()

### Method Detail

#### source

    public org.reactivestreams.Publisher<Integer> source()

#### process

    public int process(int i)

#### sink

    public void sink(int v)

#### getList

    public List<Integer> getList()